Skip to content
AGH RuntimeAPI Reference

Notifications

AGH Notifications HTTP endpoints.

Audience
Operators running durable agent work
Focus
API Reference guidance shaped for scanability, day-two clarity, and operator context.
GET/api/notifications/presets

Query Parameters

enabled?boolean

Filter by enabled state

built_in?boolean

Filter by built-in state

name?string

Filter by exact preset name

limit?integer

Maximum number of presets to return

Formatint32

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/notifications/presets"
{
  "generated_at": "2019-08-24T14:15:22Z",
  "presets": [
    {
      "built_in": true,
      "created_at": "2019-08-24T14:15:22Z",
      "default_hash": "string",
      "default_update_available": true,
      "default_version": "string",
      "enabled": true,
      "events": [
        "string"
      ],
      "filter": "string",
      "name": "string",
      "targets": [
        {
          "bridge_id": "string",
          "canonical_route": "string",
          "delivery_mode": "string",
          "display_name": "string"
        }
      ],
      "updated_at": "2019-08-24T14:15:22Z",
      "user_modified": true
    }
  ],
  "total": 0
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
Empty
POST/api/notifications/presets

Request Body

application/json

JSON request body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/notifications/presets" \  -H "Content-Type: application/json" \  -d '{    "enabled": true,    "events": [      "string"    ],    "name": "string",    "targets": [      {        "bridge_id": "string"      }    ]  }'
{
  "preset": {
    "built_in": true,
    "created_at": "2019-08-24T14:15:22Z",
    "default_hash": "string",
    "default_update_available": true,
    "default_version": "string",
    "enabled": true,
    "events": [
      "string"
    ],
    "filter": "string",
    "name": "string",
    "targets": [
      {
        "bridge_id": "string",
        "canonical_route": "string",
        "delivery_mode": "string",
        "display_name": "string"
      }
    ],
    "updated_at": "2019-08-24T14:15:22Z",
    "user_modified": true
  }
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
Empty
GET/api/notifications/presets/{name}

Path Parameters

name*string

Notification preset name

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/notifications/presets/string"
{
  "preset": {
    "built_in": true,
    "created_at": "2019-08-24T14:15:22Z",
    "default_hash": "string",
    "default_update_available": true,
    "default_version": "string",
    "enabled": true,
    "events": [
      "string"
    ],
    "filter": "string",
    "name": "string",
    "targets": [
      {
        "bridge_id": "string",
        "canonical_route": "string",
        "delivery_mode": "string",
        "display_name": "string"
      }
    ],
    "updated_at": "2019-08-24T14:15:22Z",
    "user_modified": true
  }
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
Empty
DELETE/api/notifications/presets/{name}

Path Parameters

name*string

Notification preset name

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/notifications/presets/string"
Empty
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
Empty
PUT/api/notifications/presets/{name}

Path Parameters

name*string

Notification preset name

Request Body

application/json

JSON request body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/notifications/presets/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "preset": {
    "built_in": true,
    "created_at": "2019-08-24T14:15:22Z",
    "default_hash": "string",
    "default_update_available": true,
    "default_version": "string",
    "enabled": true,
    "events": [
      "string"
    ],
    "filter": "string",
    "name": "string",
    "targets": [
      {
        "bridge_id": "string",
        "canonical_route": "string",
        "delivery_mode": "string",
        "display_name": "string"
      }
    ],
    "updated_at": "2019-08-24T14:15:22Z",
    "user_modified": true
  }
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
{
  "diagnostic": {
    "category": "string",
    "code": "string",
    "data_freshness": "string",
    "doc_url": "string",
    "evidence": {
      "property1": null,
      "property2": null
    },
    "id": "string",
    "message": "string",
    "severity": "string",
    "suggested_command": "string",
    "title": "string"
  },
  "error": "string"
}
Empty